Subject: Re: Building runtimes on WinNT 4

From: Lionel Ains <[email-masked]>
Date: Tue, 8 Aug 2000 15:15:31 +0100 (WET DST)

Hello Paul,

here is the command line I use to build a stand-alone Prolog program with SWI 3.3.8:
"C:\Program Files\SWI-Prolog\bin\plcon" -g "load_files(['prog']), write('Program loaded'), nl, 
qsave_program('prog.exe', [goal=go, toplevel=none, stand_alone=true]), write('Program successfully 
saved'), nl" -t halt.

The Prolog source file is prog.pl and the output executable is prog.exe

Hope this helps,

Lionel

> -------Message d'origine-------
> De : "Paul Holmes-Higgin" <[email-masked]>
> Date : 08/08/100 13:56:04
> 
> Hi
> 
> I'm trying to create a runtime using qsave_program/2 under WinNT4, but so 
> far the predicate just fails. I'm calling it with [stand_alone=true, 
> goal=my_goal].
> 
> Can anyone tell me what I'm doing wrong? This is on 3.3.8.
> 
> Many thanks
> Paul.

______________________________________________________
Boîte aux lettres - Caramail - http://www.caramail.com